#pragma once

#include <string>
#include <vector>

class NetworkInfo {
public:

    static std::string getmac();

    static std::string getip();
    
    static std::string getipaddress(const std::string& interfaceName);

    static std::string getmacaddress(const std::string& interfaceName);

    static std::vector<std::string> getavailableinterfaces();
};